星期三, 12月 03, 2008

FreeBSD上libtool的錯誤

今天要把 clamav升級到0.94.2時出現 libtool: unknown library version type `freebsd-' 的錯誤訊息。

查了一下,裏說把/usr/bin/objformat移掉就可以。
發現系統上的/usr/bin/objformat日期果然是幾年前,再去 /usr/src/usr.bin/objformat看,原來objformat.sh的註解說
/usr/bin/objformat has been obsolete and deprecated for years.
(略)
FreeBSD-5.x and higher only support elf.
所以就直接 rm /usr/bin/objformat
可是真不懂,為什麼會在我升級kernel到 FreeBSD 7.0-RELEASE-p6 才出問題,之前升到7.0也用了一年多怎麼都沒事?

沒有留言: